From 5c6e221893fb9cafc18057d5363f0371e88016d7 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Apr 16 2015 18:12:10 +0000
Subject: [PATCH 7/254] Start to add some validators.


---

diff --git a/hubs/validators.py b/hubs/validators.py
new file mode 100644
index 0000000..470aad7
--- /dev/null
+++ b/hubs/validators.py
@@ -0,0 +1,5 @@
+import kitchen.text.converters
+
+
+def text(value):
+    return kitchen.text.converters.to_unicode(value)
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index 88f750f..01f7c7e 100644
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -2,16 +2,16 @@ import collections
 import functools
 
 
-Argument = collections.namedtuple('Argument', ('name', 'default', 'help'))
+Argument = collections.namedtuple('Argument', ('name', 'default', 'validator', 'help'))
 
 
-def argument(name, default, help):
+def argument(name, default, validator, help):
     def decorator(func):
         @wraps(func)
         def inner(*args, **kwargs):
             return func(*args, **kwargs)
 
-        inner.widget_arguments.append(Argument(name, default, help))
+        inner.widget_arguments.append(Argument(name, default, validator, help))
         return inner
     return decorator
 
diff --git a/hubs/widgets/dummy.py b/hubs/widgets/dummy.py
index ab4e963..5ddaa9a 100644
--- a/hubs/widgets/dummy.py
+++ b/hubs/widgets/dummy.py
@@ -1,8 +1,11 @@
 from chrome import panel
 from base import argument
 
+import hubs.validators as validators
+
 @panel("This is a dummy widget")
 @argument(name="text", default="Lorem ipsum dolor...",
+          validator=validators.text,
           help="Some dummy text to display.")
 def render(request, session, text):
     return text

